io.vertx.rxjava.ext.auth.authorization

## Class WildcardPermissionBasedAuthorization

- java.lang.Object
- - io.vertx.rxjava.ext.auth.authorization.Authorization
  - - io.vertx.rxjava.ext.auth.authorization.WildcardPermissionBasedAuthorization

-     public class WildcardPermissionBasedAuthorization
      extends Authorization

  Represents a wildcard permission (ie: 'manage:order:*' '*:orders', '*', etc.) Note that it can optionally be assigned to a specific resource

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<WildcardPermissionBasedAuthorization>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WildcardPermissionBasedAuthorization(Object delegate)`
    `WildcardPermissionBasedAuthorization(WildcardPermissionBasedAuthorization delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WildcardPermissionBasedAuthorization` | `create(String permission)`
    `boolean` | `equals(Object o)`
    `WildcardPermissionBasedAuthorization` | `getDelegate()`
    `String` | `getPermission()` return the value of the wildcard permission
    `String` | `getResource()` returns an optional resource that the permission is assigned-on
    `int` | `hashCode()`
    `static WildcardPermissionBasedAuthorization` | `newInstance(WildcardPermissionBasedAuthorization arg)`
    `WildcardPermissionBasedAuthorization` | `setResource(String resource)` sets an optional resource that the permission is assigned-on
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.authorization.Authorization

      `match, match, newInstance, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<WildcardPermissionBasedAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### WildcardPermissionBasedAuthorization

          public WildcardPermissionBasedAuthorization(WildcardPermissionBasedAuthorization delegate)

    - #### WildcardPermissionBasedAuthorization

          public WildcardPermissionBasedAuthorization(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Authorization`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Authorization`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Authorization`

    - #### getDelegate

          public WildcardPermissionBasedAuthorization getDelegate()

      Overrides:
        `getDelegate` in class `Authorization`

    - #### create

          public static WildcardPermissionBasedAuthorization create(String permission)

    - #### getPermission

          public String getPermission()

      return the value of the wildcard permission
      Returns:

    - #### getResource

          public String getResource()

      returns an optional resource that the permission is assigned-on
      Returns:

    - #### setResource

          public WildcardPermissionBasedAuthorization setResource(String resource)

      sets an optional resource that the permission is assigned-on
      Parameters:
        `resource` -
      Returns:

    - #### newInstance

          public static WildcardPermissionBasedAuthorization newInstance(WildcardPermissionBasedAuthorization arg)

Copyright © 2023 Eclipse. All rights reserved.